Name:           python-aioquic
Version:        1.2.0
Release:        %mkrel 2
Summary:        An implementation of QUIC and HTTP/3
Group:          Development/Python

License:        BSD
URL:            https://github.com/aiortc/aioquic
Source:         %{pypi_source aioquic}

BuildRequires:  python3-devel
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pytest)
BuildRequires:  pkgconfig(openssl)


%global _description %{expand:
A library for the QUIC network protocol in Python. It features
a minimal TLS 1.3 implementation, a QUIC stack and an HTTP/3 stack.

It is used by Python opensource projects such as dnspython, hypercorn,
mitmproxy and the Web Platform Tests cross-browser test suite. It has
also been used extensively in research papers about QUIC.}


%description %_description

%package -n     python3-aioquic
Summary:        %{summary}

%description -n python3-aioquic %_description


%prep
%autosetup -p1 -n aioquic-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files aioquic


%check
# enable SHA-1 signatures for RSA tests
export OPENSSL_ENABLE_SHA1_SIGNATURES=yes
%pytest

%files -n python3-aioquic -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Mon Apr 28 2025 papoteur <papoteur> 1.2.0-2.mga10
+ Revision: 2179621
- fix tests failing with UnsupportedAlgorithm SHA1

* Fri Mar 14 2025 papoteur <papoteur> 1.2.0-1.mga10
+ Revision: 2163842
- import for mitmproxy requirements

